Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.lastchange
Class EventedValue<V>

    java.lang.Object
      org.teleal.cling.support.lastchange.EventedValue<V>

Direct Known Subclasses:
  EventedValueChannelMute, EventedValueChannelVolume, EventedValueChannelVolumeDB, EventedValueEnum, EventedValueEnumArray, EventedValueShort, EventedValueString, EventedValueUnsignedIntegerFourBytes, EventedValueUnsignedIntegerTwoBytes, EventedValueURI

    public abstract class EventedValue<V>

extends Object

Field Summary
`protected V` | `value`

Constructor Summary
`EventedValue(Map.Entry<String,String>[] attributes)`
`EventedValue(V value)`

Method Summary
`Map.Entry<String,String>[]` | `getAttributes()`
`protected abstract org.teleal.cling.model.types.Datatype` | `getDatatype()`
`String` | `getName()`
`V` | `getValue()`
`String` | `toString()`
`protected V` | `valueOf(Map.Entry<String,String>[] attributes)`
`protected V` | `valueOf(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected final V value

Constructor Detail

### EventedValue

    public EventedValue(V value)

### EventedValue

    public EventedValue(Map.Entry<String,String>[] attributes)

Method Detail

### getName

    public String getName()

### getValue

    public V getValue()

### getAttributes

    public Map.Entry<String,String>[] getAttributes()

### valueOf

    protected V valueOf(Map.Entry<String,String>[] attributes)
                 throws org.teleal.cling.model.types.InvalidValueException

  Throws:
    `org.teleal.cling.model.types.InvalidValueException`

### valueOf

    protected V valueOf(String s)
                 throws org.teleal.cling.model.types.InvalidValueException

  Throws:
    `org.teleal.cling.model.types.InvalidValueException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDatatype

    protected abstract org.teleal.cling.model.types.Datatype getDatatype()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.